What system requirements are there for the Västtrafik To Go app?

You can use the Västtrafik To Go app on iPhone and Android phones. To use the latest version of Västtrafik To Go, you need to have at least version 9.0 when it comes to iOS or version 5.0 for Android. Update your phone to get the best experience of the app.

We use cookies to improve your customer experience. About Cookies